@import "../../vars";

.root {
  /* Fixed on top of everything */
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 98; /* TODO: change back to 1000 if we can figure out how to not hide the book button on listing page for mobile with this banner */

  /* Dimensions */
  width: 100vw;
  padding: 5px 0;

  /* Layout */
  display: flex;
  justify-content: center;
  align-items: center;

  /* Colors */
  background-color: $matterColor;
  color: $matterColorNegative;

  /* Cover Topbar on desktop */
  @media (min-width: $viewportMedium) {
    padding: 8px 0;
  }
}

.message {
  /* @apply --marketplaceH5FontStyles; */
  margin-left: 24px;
}

.cookieLink {
  color: $matterColorLight;
  border-bottom: 1px solid $matterColorNegative;

  &:hover {
    text-decoration: none;
  }
}

.continueBtn {
  /* Font */

  /* @apply --marketplaceH5FontStyles; */
  font-family: $fontBold;

  /* Dimensions */
  padding: 3px 12px 3px 12px;
  margin: 0 24px 0 6px;
  background-color: transparent;
  border: solid 1px $matterColorNegative;
  border-radius: 4px;
  cursor: pointer;
  transition: $transitionStyleButton;

  &:hover {
    background-color: $matterColorNegative;
    color: $matterColor;
    transition: $transitionStyleButton;
  }

  @media (min-width: $viewportMedium) {
    margin: 0 24px;
  }
}
